/*
 * $Id: screen.h,v 1.2 2001/08/19 01:03:24 kenta Exp $
 *
 * Copyright 2001 Kenta Cho. All rights reserved.
 */

/**
 * Opengl screen functions header file.
 *
 * @version $Revision: 1.2 $
 */
extern float eyeX, eyeY, eyeZ;
extern float yaw, pitch;
extern float zoom;

void loadGLTexture(char*, GLuint*);
void generateTexture(GLuint*);
void deleteTexture(GLuint*);
void makeTextTexture(char*, GLuint*, GLfloat*, GLfloat*);
void setTextTexture(char*, GLuint*, GLfloat*, GLfloat*);
void loadWindowPref();
void saveWindowPref();
void initSDL();
void resized(int, int);
void drawGLSceneStart();
void drawGLSceneEnd();
void drawStar(GLfloat, GLfloat, GLfloat, int, int, int);
void drawTwinkleStar(GLfloat, GLfloat, GLfloat, int, int, int, GLfloat, float);
void drawTexture(GLuint, GLfloat, GLfloat, GLfloat, 
		 GLfloat, GLfloat, int, int, int, float);
void startDrawLines();
void endDrawLines();
void drawLine(GLfloat, GLfloat, GLfloat,
	      GLfloat, GLfloat, GLfloat,
	      int, int, int);
